import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:blazing_apple_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:blazing_apple") {
        player.addEffect("fire_resistance", 1200, {amplifier: 0, showParticles: true });
        player.addEffect("regeneration", 100, {amplifier: 1, showParticles: true });
        return;
      }
      else return;
    }
  });
});