import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:chocolate_bar_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:chocolate_bar") {
        let speedChance = Math.random();
        if (speedChance <= 0.5) {
          player.addEffect("speed", 400, {amplifier: 0, showParticles: true });
        }
        return;
      }
      else return;
    }
  });
});