import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:egg_sandwich_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:egg_sandwich") {
        let regenerationChance = Math.random();
        if (regenerationChance <= 0.05) {
          player.addEffect("regeneration", 100, {amplifier: 0, showParticles: true });
        }
        return;
      }
      else return;
    }
  });
});