import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:netherite_apple_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:netherite_apple") {
        player.addEffect("resistance", 4800, {amplifier: 2, showParticles: true });
        player.addEffect("absorption", 3600, {amplifier: 1, showParticles: true });
        player.addEffect("strength", 3600, {amplifier: 1, showParticles: true });
        player.addEffect("regeneration", 1200, {amplifier: 1, showParticles: true });
        return;
      }
      else return;
    }
  });
});