import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:pumpkin_slice_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:pumpkin_slice") {
        let nauseaChance = Math.random();
        if (nauseaChance <= 0.25) {
          player.addEffect("nausea", 300, {amplifier: 0, showParticles: true });
        }
        return;
      }
      else return;
    }
  });
});