import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:warped_stew_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:warped_stew") {
        let nauseaChance = Math.random();
        let poisonChance = Math.random();
        if (nauseaChance <= 0.25) {
          player.addEffect("nausea", 300, {amplifier: 0, showParticles: true })
        }
        if (poisonChance <= 0.1) {
          player.addEffect("poison", 200, {amplifier: 0, showParticles: true })
        }
      }
      else return;
    }
  });
});