import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:clurve_raw_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:clurve_raw") {
        let blindnessChance = Math.random();
        if (blindnessChance <= 0.3) {
          player.addEffect("blindness", 400, {amplifier: 0, showParticles: true });
        }
        return;
      }
      else return;
    }
  });
});