import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:diamond_apple_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:diamond_apple") {
        player.addEffect("resistance", 3600, {amplifier: 2, showParticles: true });
        player.addEffect("absorption", 1200, {amplifier: 1, showParticles: true });
        player.addEffect("health_boost", 600, {amplifier: 0, showParticles: true });
        player.addEffect("regeneration", 300, {amplifier: 1, showParticles: true });
        return;
      }
      else return;
    }
  });
});