import { world } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.itemComponentRegistry.registerCustomComponent("nicothekid:glow_lichen_stew_on_consume", {
    onConsume: eventData => {
      const player = eventData.source;
      const itemUsed = eventData.itemStack;
      if (itemUsed.typeId === "nicothekid:glow_lichen_stew") {
        player.addEffect("night_vision", 500, {amplifier: 0, showParticles: true });
        player.addEffect("mining_fatigue", 400, {amplifier: 0, showParticles: true });
        return;
      }
      else return;
    }
  });
});