import { world, system } from "@minecraft/server";

import "./breaking_custom_minerals.js"
import "./breaking_using_custom_tools.js"
import "./breaking_using_vanilla_tools.js"

import "./custom_tool_interaction.js"
import "./vanilla_tool_interaction.js"
import "./barked_woods.js"

import "./artifacture_table.js"
import "./blooming_corrupted_sapling_block.js"
import "./bone_pile.js"
import "./copper_evaporator.js"
import "./copper_lamp_oxidization.js"
import "./copper_lamp_waxing.js"
import "./copper_lantern_oxidization.js"
import "./copper_lantern_waxing.js"
import "./corrupted_grass_block.js"
import "./corrupted_leaves.js"
import "./corrupted_sapling_block.js"
import "./double_slabs.js"
import "./glowceling_egg_block.js"
import "./glowcelium_sprouts_tall_block.js"
import "./grafting_table.js"
import "./hanging_moss_block.js"
import "./heated_netherrack.js"
import "./heated_netherrack_active.js"
import "./iron_evaporator.js"
import "./jar_of_cookies.js"
import "./jar_of_drinks.js"
import "./jar_of_forest_wisp.js"
import "./jellyfish_slime_block.js"
import "./locked_crates.js"
import "./lush_grass_small_block.js"
import "./lush_grass_tall_block.js"
import "./moa_egg_block.js"
import "./mob_spawner.js"
import "./moss_berry_bush.js"
import "./moss_sprouts_small_block.js"
import "./moss_sprouts_tall_block.js"
import "./mossy_leaves.js"
import "./mosshroom_fungus_block.js"
import "./mosshroom_light.js"
import "./mossy_sapling_block.js"
import "./myceling_egg_block.js"
import "./mycelium_sprouts_small_block.js"
import "./mycelium_sprouts_tall_block.js"
import "./overgrown_jungle_leaves.js"
import "./overgrown_jungle_sapling_block.js"
import "./potted_plants.js"
import "./rose_quartz_lamp.js"
import "./spore_pot.js"
import "./structure_spawner.js"
import "./tip_grass_block.js"
import "./wooden_crates.js"

import "./blazing_staff.js"
import "./blooming_corrupted_sapling.js"
import "./bucket_of_jellyfish.js"
import "./bucket_of_prismarine_clam.js"
import "./corrupted_grass.js"
import "./corrupted_sapling.js"
import "./curserer_staff.js"
import "./dripstone_club.js"
import "./glowcelium_sprouts_tall.js"
import "./hanging_moss.js"
import "./magma_club.js"
import "./moss_sprouts_tall.js"
import "./mosshroom_fungus.js"
import "./mossy_sapling.js"
import "./mycelium_sprouts_tall.js"
import "./piglin_fire_staff.js"
import "./piglin_sledge_hammer.js"
import "./powder_staff.js"
import "./overgrown_jungle_sapling.js"
import "./scorpion_gauntlet.js"
import "./scorpion_telson.js"
import "./staff_of_the_sea.js"
import "./tall_lush_grass.js"
import "./tip_grass.js"
import "./wooden_club.js"

import "./amethyst_apple.js"
import "./apple_pie.js"
import "./bamboo_tumbler_chocolate.js"
import "./bamboo_tumbler_glow_berry.js"
import "./bamboo_tumbler_milk.js"
import "./bamboo_tumbler_sweet_berry.js"
import "./blazing_apple.js"
import "./cactus_stew.js"
import "./carrot_soup.js"
import "./cheese.js"
import "./cheese_bread.js"
import "./chocolate_bar.js"
import "./clurve_raw.js"
import "./crimson_stew.js"
import "./diamond_apple.js"
import "./egg_sandwich.js"
import "./emerald_apple.js"
import "./glow_berry_cookie.js"
import "./glow_berry_pie.js"
import "./glow_lichen_stew.js"
import "./iron_apple.js"
import "./jar_chocolate_full.js"
import "./jar_chocolate_half.js"
import "./jar_glow_berry_juice_full.js"
import "./jar_glow_berry_juice_half.js"
import "./jar_honey_full.js"
import "./jar_honey_half.js"
import "./jar_milk_full.js"
import "./jar_milk_half.js"
import "./jar_sweet_berry_juice_full.js"
import "./jar_sweet_berry_juice_half.js"
import "./lapis_lazuli_apple.js"
import "./moa_raw.js"
import "./moss_berry_cookie.js"
import "./moss_berry_pie.js"
import "./mosshroom_stew.js"
import "./netherite_apple.js"
import "./pea_stew.js"
import "./potato_soup.js"
import "./pumpkin_slice.js"
import "./rat_raw.js"
import "./rotten_brute_flesh.js"
import "./seagrass_stew.js"
import "./soup.js"
import "./squirrel_raw.js"
import "./sweet_berry_cookie.js"
import "./sweet_berry_pie.js"
import "./warped_stew.js"
